# Interface OrthogonalHints

public interface OrthogonalHints
Provides a means for giving an Orthogonal base optimiser (IE, OrthognalMinimum) hints about the function that may alow it to optimise better.

Version:
  $Id: OrthogonalHints.java 849 2007-12-06 00:10:14Z twobeers $
Author:
  Matthew Goode

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`OrthogonalHints.Utils`

## Method Summary

Modifier and Type
Method
Description
`int`
`getInternalParameterBoundaries(int parameter, double[] storage)`
A boundary is a value of a parameter for which values lower than the boundary and values higher than the boundary are better treated as two separate functions (IE, they are only piecewise connected), and minimisation should be performed over both ranges individually (and then the true minimum taken as the minimuma of the ranges)
`OrderEnumerator`
`getSuggestedOrdering(OrderEnumerator defaultOrdering)`
If there is a "best" ordering to use it can be specified here, if not should return null

## Method Details

### getSuggestedOrdering

OrderEnumerator getSuggestedOrdering(OrderEnumerator defaultOrdering)
If there is a "best" ordering to use it can be specified here, if not should return null

Parameters:
  `defaultOrdering` - The ordering suggested by the optimiser, may be null!
Returns:
  null, or default ordering if no known best ordering

### getInternalParameterBoundaries

int getInternalParameterBoundaries(int parameter, double[] storage)
A boundary is a value of a parameter for which values lower than the boundary and values higher than the boundary are better treated as two separate functions (IE, they are only piecewise connected), and minimisation should be performed over both ranges individually (and then the true minimum taken as the minimuma of the ranges)

Returns:
  the number of boundary locations stored in storage, or -1 if not enough room, or 0 if there are no boundaries (other than the normal parameter range)